Page MenuHomePhabricator

[LLDB/Python] Fix segfault on Python scripted breakpoints
ClosedPublic

Authored by tammela on Nov 27 2020, 3:12 PM.

Details

Summary

The code that calls into the ScriptInterpreter was not considering the
case that it receives a Lua interpreter.

Diff Detail

Event Timeline

tammela created this revision.Nov 27 2020, 3:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 27 2020, 3:12 PM
tammela requested review of this revision.Nov 27 2020, 3:12 PM

It appears there are many similar calls in this file, can you update those as well?

labath added a subscriber: labath.Nov 30 2020, 1:20 AM

It appears there are many similar calls in this file, can you update those as well?

If there are many of these calls, adding a static helper function for this purpose might be a good idea as well...

It appears there are many similar calls in this file, can you update those as well?

If there are many of these calls, adding a static helper function for this purpose might be a good idea as well...

Yes, it looks like the same 3-line routine is being replicated across multiple functions. I will clean it up.

tammela updated this revision to Diff 308608.Dec 1 2020, 3:38 AM

Addressing comments

JDevlieghere accepted this revision.Dec 1 2020, 8:14 PM

Thanks! LGTM

This revision is now accepted and ready to land.Dec 1 2020, 8:14 PM
This revision was landed with ongoing or failed builds.Dec 2 2020, 3:25 AM
This revision was automatically updated to reflect the committed changes.